Bug 1253127 - broken rpm scriptlets: restorecon: command not found
broken rpm scriptlets: restorecon: command not found
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tog-pegasus (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 00:53 EDT by Ralf Corsepius
Modified: 2015-08-13 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: tog-pegasus-2.14.1-29.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-13 10:26:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-08-13 00:53:00 EDT
Description of problem:

The tog-pegasus rpms' scriptlets are raise warnings and likely are dysfunctional.


Version-Release number of selected component (if applicable):
tog-pegasus-2.13.0-17

How reproducible:
Always on all active Fedora releases (currently Fedora 21 though 24)

Steps to Reproduce:
1. # mock -r fedora-21-x86_64 --init
2. # mock -r fedora-21-x86_64 --install tog-pegasus
3. Watch the output

Actual results:
...
Running transaction (shutdown inhibited)
...
  Installing : 2:tog-pegasus-2.13.0-17.fc21.x86_64                          5/5 
/var/tmp/rpm-tmp.ee6LNY: line 2: restorecon: command not found
...
Comment 1 Vitezslav Crhonek 2015-08-13 04:36:36 EDT
Thanks, tog-pegasus is missing policycoreutil requires.

Can be workarounded by
# mock -r fedora-21-x86_64 --install policycoreutils
prior to install of the OpenPegasus.
Comment 2 Vitezslav Crhonek 2015-08-13 10:26:05 EDT
Fixed in Rawhide. (As I haven't seen it outside mock and there's simple workaround, I think it's enough fix it there and I won't create updates for Fedora releases, if not explicitly requested.)

Note You need to log in before you can comment on or make changes to this bug.